On-Screen Keyboard overview

On-Screen Keyboard is a utility that displays a virtual keyboard on your screen and allows users with mobility impairments to type data using a pointing device or joystick. On-Screen Keyboard is intended to provide a minimum level of functionality for users with mobility impairments. It is also useful for users who do not know how to type.

On-Screen Keyboard has three typing modes you can use to type data:

  • In clicking mode, you click the on-screen keys to type text.
  • In scanning mode, On-Screen Keyboard continually scans the keyboard and highlights areas where you can type keyboard characters by pressing a hot key or using a switch-input device.
  • In hovering mode, you use a mouse or joystick to point to a key for a pre-defined period of time, and the selected character is typed automatically.

In On-Screen Keyboard you can also:

  • View an enhanced keyboard that includes the numeric keypad, or a standard keyboard without the numeric keypad.
  • Display the keyboard with the keys in the standard layout, or in a block layout in which the keys are arranged in rectangular blocks. Block layout is especially useful in scanning mode.
  • Display the U.S. standard keyboard (101 keys), the universal keyboard (102 keys), or a keyboard (106 keys) with additional Japanese language characters.
  • Use Click Sound to add an audible click when you select a key.
  • Use Always on Top to keep your keyboard displayed on your screen when you switch programs or windows.

Open On-Screen Keyboard.

Notes

  • Utility Manager enables users to check the status of On-Screen Keyboard and other Accessibility programs, start or stop a program, and designate to have the program start when Windows 2000 starts.
  • The Accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see the Microsoft Accessibility Web site (http://www.microsoft.com/).

Related Topics


Select a keyboard layout

To select a keyboard layout

  2. On the Keyboard menu, select the following keyboard options:
    • To select the keyboard layout, choose Enhanced Keyboard which includes the numeric keypad, or Standard Keyboard which displays a keyboard without the numeric keypad.
    • To select the way the keys appear on the keyboard, choose Regular Layout which displays the keys as they would normally appear on a standard keyboard. To display the most frequently used character keys together on the keyboard, choose Block Layout. Block layout also puts the directional arrow keys in the lower right corner.
    • To select the U.S. standard keyboard choose 101 keys, for the universal keyboard choose 102 keys, and for the keyboard with additional Japanese characters choose 106 keys.

Notes

  • Block layout is especially useful if you are using Hover to select mode as the characters most used are easy to select.
  • The 102 keys and 106 keys settings are not available with Block Layout.


Select the font for On-Screen Keyboard keys

To select the font for On-Screen Keyboard keys

  2. On the Settings menu, choose Font.
  3. In the Font dialog box, select a font, font style, and font size.

Notes

  • If you are using another language, it may be necessary to change font options to see additional foreign language characters.
  • The selected font options only affect the appearance of the On-Screen Keyboard keys and not the font used in the selected program.


Use an audible click

To use an audible click

  2. On the Settings menu, choose Use Click Sound.

Notes

  • The audible click sound is heard when the character selected appears in the program being used.


Use clicking mode

To use clicking mode

  2. On the Settings menu, choose Typing Mode.
  3. In the Typing Mode dialog box, choose Click to select.

Notes

  • By default, On-Screen Keyboard allows you to type data with the mouse by pointing to and clicking keyboard characters. When you point to a character, it is highlighted. Click the highlighted character to select it.


Use hovering mode

To use hovering mode

  2. On the Settings menu, choose Typing Mode.
  3. In the Typing Mode dialog box, choose Hover to select.
  4. Select the up or down arrow to adjust the minimum hover time. If the mouse pointer remains over a character for the specified hover time, the character will be selected and typed.

Notes


Use scanning mode

To use scanning mode

  2. On the Settings menu, choose Typing Mode.
  3. In the Typing Mode dialog box, choose Switch or key to select.
  4. Use the up and down arrows next to the seconds box to set the speed for how quickly On-Screen Keyboard scans.
  5. Select Advanced, and then click the appropriate option to do one of the following:
    • Select Serial, parallel, or game port to designate that a pointing device, which can be attached to the serial, parallel, or game port, will be used to select the highlighted keyboard characters you wish to type.
    • Select Keyboard key to designate a key to be used to select the highlighted keyboard characters you wish to type, and select the key from the pull-down menu.
  6. Choose OK to close the dialog box.

Notes

  • On-Screen Keyboard scans by highlighting each row of keys from top to bottom. When the row that contains the key you want to type is highlighted, use the choice you made in step 5. On-Screen Keyboard then scans this row, and when the group of characters that contains the key you want to type is highlighted, use the choice you made in step 5. On-Screen Keyboard then scans the individual characters within that group, and when the key you want to type is highlighted, use the choice you made in step 5.